s3games.engine.expr

## Class Expression

- java.lang.Object
- - s3games.engine.expr.Expression

-     public class Expression
      extends java.lang.Object

  Represent a named expression with named formal arguments. If it is single-line, it contains directly the respective expression class, otherwise it contains Expr_LIST. The name of this expression is stored as key in the map that holds all named expressions, it is not needed here.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String[]` | `argNames` the names of the arguments without $ sign - used as variable names when this expression is called
    `Expr` | `expr` the list of expressions one for each line (or single expression for one-line expressions)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Expression(java.lang.String[] argNames)` construct a new empty expression with the specified argument names

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLine(java.lang.String ln)` append a new line at the end of this named expression

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### expr

          public Expr expr

      the list of expressions one for each line (or single expression for one-line expressions)

    - #### argNames

          public java.lang.String[] argNames

      the names of the arguments without $ sign - used as variable names when this expression is called

  - ### Constructor Detail

    - #### Expression

          public Expression(java.lang.String[] argNames)

      construct a new empty expression with the specified argument names

  - ### Method Detail

    - #### addLine

          public void addLine(java.lang.String ln)
                       throws java.lang.Exception

      append a new line at the end of this named expression
      Throws:
        `java.lang.Exception`